Subject: [Megaco] Invalid Controller Address

From: "Venkatesh A" <[email-masked]>
Date: Sat, 20 Apr 2002 05:48:00 +0530

Hi All,

In case of TCP nobody other than the active controller can send messages to
an MG.  But in case of UDP, anybody can simply throw a message at an open
UDP port of an MG.  Should the MG check the source IP address of each
message that it is receiving from an MGC is the same as the one to which it
sent the Service Change or the one specified in the ServiceChangeAddress?
So, how will a megaco stack running on UDP and which does not support
authentication, avoid getting messages from anybody other than its active
controller?  Should this be taken care by implementation or is there any
specification about this ?

Thanks
Venkatesh

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco